#include "storage.h"

TMutex NSv::TThreadLocalRoot::FreeM_;
TVector<size_t> NSv::TThreadLocalRoot::Free_ = []{
    TVector<size_t> ret(NSv::TThreadLocalRoot::SlotCount_);
    for (size_t i = 0; i < ret.size(); i++)
        ret[i] = i;
    return ret;
}();

thread_local NSv::TThreadLocalRoot::TSlot* NSv::TThreadLocalRoot::Local_ = nullptr;
